Bug 1637165 - libssh as limited arch package for EPEL 7
Summary: libssh as limited arch package for EPEL 7
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: libssh
Version: epel7
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-08 19:50 UTC by Robert Scheck
Modified: 2019-04-18 21:43 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-04-18 21:43:56 UTC


Attachments (Terms of Use)

Description Robert Scheck 2018-10-08 19:50:50 UTC
I would like to take care about libssh as limited arch package for EPEL 7,
because I would like to build tmate for EPEL 7, which depends on it. May I
get a maintainer for libssh (while only caring about EPEL 7) - or are you
interested in covering it as well? https://pagure.io/releng/issue/7846 is
what made me filling this RHBZ.

Comment 1 Rex Dieter 2018-10-08 20:21:40 UTC
For completeness, including information from pagure issue 7846:
libssh is currently x86_64 only in rhel7

Strictly speaking, the status quo does not prevent you from building mate, you can still, but on x86_64 only.

Comment 2 Robert Scheck 2018-10-08 21:03:49 UTC
I would be happy to handle the limited arch package work for EPEL 7 for libssh,
given I would like to have tmate not only on x86_64.

Comment 3 Andreas Schneider 2018-10-09 08:11:36 UTC
I think we already had an epel7 package for libssh but needed to remove it because it is part of some rhel7 extra repository and would overwrite it.

Comment 4 Robert Scheck 2018-10-09 18:03:16 UTC
The libssh package is only in rhel-7-{server,workstation}-extras-rpms repo
for x86_64, but not aarch64, ppc64 and ppc64le.

And https://fedoraproject.org/wiki/EPEL:Packaging#Limited_Arch_Packages says:

> 4. Change the release of the package to have a leading 0. EXAMPLE: RHEL has 
>    foobar-1.0-1, you change it to foobar-1.0-0.1 for EPEL.

Thus I do not see how this would override any RHEL 7 extras repository.

Comment 5 Andreas Schneider 2018-10-10 08:30:38 UTC
Look at the origin/epel7 branch. It has been removed from epel7 because it is in the rhel-7-server-extras repo.

Comment 6 Robert Scheck 2018-10-10 08:56:16 UTC
Again, it is only in rhel-7-server-extras for x86_64, but not for aarch64,
ppc64 and ppc64le. And this is why limited arch package process exists...

Comment 7 Andreas Schneider 2018-10-10 10:02:05 UTC
So you want to build it for those archs excluding x86_64?

Comment 8 Robert Scheck 2018-10-10 10:15:47 UTC
Effectively yes, but by following the EPEL "Limited Arch Packages" process.

Comment 9 Andreas Schneider 2018-10-10 13:39:46 UTC
What is your FAS account name?

Comment 10 Robert Scheck 2018-10-10 13:40:58 UTC
It's "robert" - thanks!

Comment 11 Andreas Schneider 2018-10-16 07:09:01 UTC
Done.

Comment 12 Anderson Sasaki 2019-02-07 15:24:06 UTC
Hello, it seems this issue was solved. Can I close the bug?

Comment 13 Robert Scheck 2019-02-07 15:37:53 UTC
Yes and no. Andreas did its job perfectly, however infrastructure team still hasn't managed it to get the package unblocked: https://pagure.io/releng/issue/7846#comment-547148

Comment 14 Fedora Update System 2019-04-01 21:30:32 UTC
libssh-0.7.1-0.7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-69ff4b5976

Comment 15 Fedora Update System 2019-04-02 03:06:20 UTC
libssh-0.7.1-0.7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-69ff4b5976

Comment 16 Fedora Update System 2019-04-18 21:43:56 UTC
libssh-0.7.1-0.7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.